---
title: ServiceNow Integration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > ServiceNow Integration
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# ServiceNow Integration

Manage your ServiceNow Integration. ServiceNow is a cloud-based platform that helps organizations manage digital workflows for enterprise operations.

## [Delete ServiceNow template →](https://docs.datadoghq.com/api/latest/servicenow-integration/delete-servicenow-template.md){% #delete-servicenow-template %}

| Datadog site      | API endpoint                                                                             |
| ----------------- | ---------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/integration/servicenow/handles/{template_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/integration/servicenow/handles/{template_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/integration/servicenow/handles/{template_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/integration/servicenow/handles/{template_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |

## [Update ServiceNow template →](https://docs.datadoghq.com/api/latest/servicenow-integration/update-servicenow-template.md){% #update-servicenow-template %}

| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/integration/servicenow/handles/{template_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/integration/servicenow/handles/{template_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/integration/servicenow/handles/{template_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/integration/servicenow/handles/{template_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |

## [Get ServiceNow template →](https://docs.datadoghq.com/api/latest/servicenow-integration/get-servicenow-template.md){% #get-servicenow-template %}

| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/handles/{template_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/handles/{template_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/handles/{template_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/handles/{template_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/handles/{template_id} |

## [Create ServiceNow template →](https://docs.datadoghq.com/api/latest/servicenow-integration/create-servicenow-template.md){% #create-servicenow-template %}

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/integration/servicenow/handles |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/integration/servicenow/handles |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/integration/servicenow/handles      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/integration/servicenow/handles      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/integration/servicenow/handles  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/integration/servicenow/handles |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/integration/servicenow/handles     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/integration/servicenow/handles |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/integration/servicenow/handles |

## [List ServiceNow templates →](https://docs.datadoghq.com/api/latest/servicenow-integration/list-servicenow-templates.md){% #list-servicenow-templates %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/handles |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/handles |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/handles      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/handles      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/handles  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/servicenow/handles |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/handles     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/handles |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/handles |

## [List ServiceNow assignment groups →](https://docs.datadoghq.com/api/latest/servicenow-integration/list-servicenow-assignment-groups.md){% #list-servicenow-assignment-groups %}

| Datadog site      | API endpoint                                                                                    |
| ----------------- | ----------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/assignment_groups/{instance_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/assignment_groups/{instance_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/assignment_groups/{instance_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/assignment_groups/{instance_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/assignment_groups/{instance_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/servicenow/assignment_groups/{instance_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/assignment_groups/{instance_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/assignment_groups/{instance_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/assignment_groups/{instance_id} |

## [List ServiceNow business services →](https://docs.datadoghq.com/api/latest/servicenow-integration/list-servicenow-business-services.md){% #list-servicenow-business-services %}

| Datadog site      | API endpoint                                                                                    |
| ----------------- | ----------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/business_services/{instance_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/business_services/{instance_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/business_services/{instance_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/business_services/{instance_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/business_services/{instance_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/servicenow/business_services/{instance_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/business_services/{instance_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/business_services/{instance_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/business_services/{instance_id} |

## [List ServiceNow users →](https://docs.datadoghq.com/api/latest/servicenow-integration/list-servicenow-users.md){% #list-servicenow-users %}

| Datadog site      | API endpoint                                                                        |
| ----------------- | ----------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/users/{instance_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/users/{instance_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/users/{instance_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/users/{instance_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/users/{instance_id} |

## [List ServiceNow instances →](https://docs.datadoghq.com/api/latest/servicenow-integration/list-servicenow-instances.md){% #list-servicenow-instances %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/servicenow/instances |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/servicenow/instances |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/servicenow/instances      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/servicenow/instances      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/servicenow/instances  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/integration/servicenow/instances |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/servicenow/instances     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/servicenow/instances |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/servicenow/instances |
